ksiddiqui Absent Member.
Absent Member.
3070 views

Vibe 3.2 Hot Patch 2 available for download

Vibe 3.2 HP2 is now available for download. It includes an update to Apache Tomcat 6.0.35 from version 6.0.32 and the following bug fixes:

1. Copying a Mirrored folder in Teaming/Vibe results in data-corruption (previously addressed via Novell Vibe 3.2 HP1).
2. Users with insufficient access rights permitted to delete file versions.
3. Improper webservices handling of UTF-8 characters outside of US-ASCII range.

Note: This patch is posted as a full Vibe 3.2 installer which means that it can be used for a fresh install/eval or for an upgrade.
0 Likes
11 Replies
Anonymous_User Absent Member.
Absent Member.

Re: Vibe 3.2 Hot Patch 2 available for download

ksiddiqui,

It appears that in the past few days you have not received a response to your
posting. That concerns us, and has triggered this automated reply.

Has your problem been resolved? If not, you might try one of the following options:

- Visit http://support.novell.com and search the knowledgebase and/or check all
the other self support options and support programs available.
- You could also try posting your message again. Make sure it is posted in the
correct newsgroup. (http://forums.novell.com)

Be sure to read the forum FAQ about what to expect in the way of responses:
http://forums.novell.com/faq.php

If this is a reply to a duplicate posting, please ignore and accept our apologies
and rest assured we will issue a stern reprimand to our posting bot.

Good luck!

Your Novell Product Support Forums Team
http://forums.novell.com/

0 Likes
Knowledge Partner
Knowledge Partner

Re: Vibe 3.2 Hot Patch 2 available for download

ksiddiqui;2169930 wrote:
Vibe 3.2 HP2 is now available for download. It includes an update to Apache Tomcat 6.0.35 from version 6.0.32 and the following bug fixes:

1. Copying a Mirrored folder in Teaming/Vibe results in data-corruption (previously addressed via Novell Vibe 3.2 HP1).
2. Users with insufficient access rights permitted to delete file versions.
3. Improper webservices handling of UTF-8 characters outside of US-ASCII range.

Note: This patch is posted as a full Vibe 3.2 installer which means that it can be used for a fresh install/eval or for an upgrade.


Thanks for the heads up!

Curios though, regarding point 1... have there been additional fixes for sites that already have 3.2 HP1 in place?

Thanks,
Willem
0 Likes
ksiddiqui Absent Member.
Absent Member.

Re: Vibe 3.2 Hot Patch 2 available for download

No, it means that the fix previously introduced in 3.2 HP1 is part of 3.2 HP2 plus the additional fixes and Apache Tomcat update.
0 Likes
Knowledge Partner
Knowledge Partner

Re: Vibe 3.2 Hot Patch 2 available for download

ksiddiqui;2171799 wrote:
No, it means that the fix previously introduced in 3.2 HP1 is part of 3.2 HP2 plus the additional fixes and Apache Tomcat update.


Thanks for that added info & good to know!

Cheers,
Willem
0 Likes
Gonzalezjohnj Absent Member.
Absent Member.

Re: Vibe 3.2 Hot Patch 2 available for download

On this install, how does it affect multi server installs. I have Vibe installed over 3 servers, App, index, DB. Im assuming the HP 2 is just an update to tomcat only? So do I only run install on APP server. And leave Index alone? I know instructions say no DB update required. However, what about the index? I just want to be clear.. Only need to install on APP server?
0 Likes
ksiddiqui Absent Member.
Absent Member.

Re: Vibe 3.2 Hot Patch 2 available for download

If your current site is already at Vibe 3.2 or Vibe 3.2 HP1, then all you need to do is update the Vibe application server using the installer. No index or database updates are necessary as part of Vibe 3.2 HP2.

If you are upgrading from an older version of Vibe, then you will need to update Application, Index and Database server (for example Multi-server Vibe 3.1 to Vibe 3.2 HP2 upgrade instructions: Novell Doc: Novell Vibe 3.2 Installation Guide - Updating a Multiple-Server System from Vibe 3.1 to Vibe 3.2)

Gonzalezjohnj;2175456 wrote:
On this install, how does it affect multi server installs. I have Vibe installed over 3 servers, App, index, DB. Im assuming the HP 2 is just an update to tomcat only? So do I only run install on APP server. And leave Index alone? I know instructions say no DB update required. However, what about the index? I just want to be clear.. Only need to install on APP server?
0 Likes
Gonzalezjohnj Absent Member.
Absent Member.

Re: Vibe 3.2 Hot Patch 2 available for download

Thank You. I though that was the cause, needed that second opnion. Thanks Again
0 Likes
Gonzalezjohnj Absent Member.
Absent Member.

Re: Vibe 3.2 Hot Patch 2 available for download

Performed install and now get a warming message when stopping teaming on linux.

Using CATALINA_BASE: /opt/novell/teaming/apache-tomcat
Using CATALINA_HOME: /opt/novell/teaming/apache-tomcat
Using CATALINA_TMPDIR: /opt/novell/teaming/apache-tomcat/temp
Using JRE_HOME: /usr/java/jdk1.6.0_30/jre
Using CLASSPATH: /opt/novell/teaming/apache-tomcat/bin/bootstrap.jar
Feb 16, 2012 7:27:06 PM org.apache.catalina.startup.ClassLoaderFactory validateFile
WARNING: Problem with directory [/opt/novell/teaming/apache-tomcat/lib/custom-ext], exists: [false], isDirectory: [false], canRead: [false]
0 Likes
dangross Absent Member.
Absent Member.

Re: Vibe 3.2 Hot Patch 2 available for download

I get the same exact warning message. Were you find out why this is?
0 Likes
Highlighted
mschlawin Frequent Contributor.
Frequent Contributor.

Re: Vibe 3.2 Hot Patch 2 available for download

not yet, but it must be something with our particular setup because it works fine on my friend's vibe server.

Matt


>>> On 5/1/2012 at 10:26 AM, in message <dangross.5bw6lc@no-mx.forums.novell.com>, dangross<dangross@no-mx.forums.novell.com> wrote:



I get the same exact warning message. Were you find out why this is?


--
dangross
------------------------------------------------------------------------
dangross's Profile: http://forums.novell.com/member.php?userid=2531
View this thread: http://forums.novell.com/showthread.php?t=451217
0 Likes
Knowledge Partner
Knowledge Partner

Re: Vibe 3.2 Hot Patch 2 available for download

dangross;2192795 wrote:
I get the same exact warning message. Were you find out why this is?


If you mean the "WARNING: Problem with directory [/opt/novell/teaming/apache-tomcat/lib/custom-ext], exists: [false], isDirectory: [false], canRead: [false]"

As far as I've seen that is just cosmetic and can be resolved by creating the custom-ext ("mkdir /opt/novell/teaming/apache-tomcat/lib/custom-ext") and setting user rights to your teaming user and group (user and group ID as specified in the Vibe install).
That directory that is missing with a fresh install (and when installing with Vibe 3.2hp2) is meant to hold custom extensions, and there are none at first install - there is no real issue here.

Cheers,
Willem
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.